  <mat-card class="card">
    <div>
      <div class="alert alert-danger" id="alert-danger" role="alert" *ngIf="ClickInputText">{{message}}</div>
      <div class="alert alert-danger" id="alert-danger" role="alert" *ngIf="EmptyList">{{message}}</div>
      <div class="alert alert-success" id="alert-danger" role="alert" *ngIf="AddList">{{message}}</div>
      <div class="alert alert-success" id="alert-danger" role="alert" *ngIf="EditList">{{message}}</div>
      <div class="alert alert-success" id="alert-danger" role="alert" *ngIf="DeleteList">{{message}}</div>

      <span class="mat-card-subtitle">Todo List</span>

      <mat-grid-list cols="1" rowHeight=40px>
        <mat-grid-tile>
          <input id="style_5" class="form-control" type="text" [(ngModel)]="taskName" placeholder="Input your Todo List" required (click)="hideMessage()">
          <button mat-raised-button  id="style_7" (click)="AddItem()">{{nameButton}}</button>
        </mat-grid-tile>
      </mat-grid-list>

    </div>

    <div>
      <table id="tableID">
        <tbody>
          <tr class="tr" *ngFor="let taskName of TaskList; let i = index">
                <td class="td_0"></td>
                <td class="td_1">{{taskName}}</td>
                <td class="td_2">
                  <button class="size"  mat-icon-button (click)="EditItem(i)">
                    <mat-icon mat-icon-button color='primary'>edit</mat-icon>
                  </button>
                  <button class="size"  mat-icon-button (click)="DeleteItem(i)">
                    <mat-icon mat-icon-button color="warn">delete</mat-icon>
                  </button>
                </td>
                <td class="td_3"></td>
            </tr>
        </tbody>
      </table>
    </div>

    <div *ngIf="showButton" class="style_1">
      <button mat-button id="style_6" width (click)="ClearItem()">Clear Items</button>
    </div>
  </mat-card>
